#ifndef IZ_IO_H
#define IZ_IO_H

#include <stdio.h>
#include <stdbool.h>
#include <stdarg.h>
#include "../compat/IZ_windows.h"
#ifdef IZ_UNIX
#include <sys/stat.h>
#endif

int IZ_sprintf(char*, size_t, const char*, ...);

errno_t IZ_fopen(FILE**, const char*, const char*);

errno_t IZ_mkdir(const char*);

bool IZ_isdir(const char*);

#endif
